/* Thrown in case of DIFGraph and DIF Language related exceptions.

Copyright (c) 2002 The University of Maryland.

Permission is hereby granted, without written agreement and without
license or royalty fees, to use, copy, modify, and distribute this
software and its documentation for any purpose, provided that the above
copyright notice and the following two paragraphs appear in all copies
of this software.

IN NO EVENT SHALL THE UNIVERSITY OF MARYLAND BE LIABLE TO ANY PARTY
FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
THE UNIVERSITY OF MARYLAND HAS BEEN ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

THE UNIVERSITY OF MARYLAND SPECIFICALLY DISCLAIMS ANY WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
MARYLAND HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS.

@AcceptedRating Red

*/


//////////////////////////////////////////////////////////////////////////
//// DIFException
/**
Thrown in case of DIFGraph and DIF Language related exceptions.
@author Fuat Keceli
@version $Id: DIFException.java,v 1.5 2002/08/22 15:56:13 keceli Exp $
*/

public class DIFException extends Exception {

    /**
     *  @param message Error string which can be accessed using
     *  <code>getMessage()</code> method.
     */
    public DIFException(String message) {
        super(message);
    }
}
